Subject: Re: [PATCH 1/4] refs: move ref name helpers around

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Dec 2024 10:23:25 +0900

Jeff King <[email-masked]> writes:

> On Mon, Dec 02, 2024 at 04:07:11PM +0900, Junio C Hamano wrote:
>
>> strbuf_branchname(), strbuf_check_{branch,tag}_ref() are helper
>> functions to deal with branch and tag names, and the fact that they
>> happen to use strbuf to hold the name of a branch or a tag is not
>> essential.  These functions fit better in the refs API than strbuf
>> API, the latter of which is about string manipulations.
>
> Wow, they are declared in strbuf.h but not even implemented there. So it
> was doubly confusing. This looks like a nice cleanup.

Yup.  Another home that may want to adopt them is the object-name
API, but I think refs API is good enough, and certainly better than
strbuf.